CppSharedLibrary (Gradle API 5.5-20190702033235+0000)
Date: 2019-07-01

Package org.gradle.language.cpp

## Interface CppSharedLibrary

- All Superinterfaces:
    `BuildableComponent`, `ComponentWithCoordinates`, `ComponentWithDependencies`, `ComponentWithLinkFile`, `ComponentWithLinkUsage`, `ComponentWithNativeRuntime`, `ComponentWithObjectFiles`, `ComponentWithOutputs`, `ComponentWithRuntimeFile`, `ComponentWithRuntimeUsage`, `ComponentWithSharedLibrary`, `CppBinary`, `Named`, `PublishableComponent`, `SoftwareComponent`

      @Incubating
      public interface CppSharedLibrary
      extends CppBinary, ComponentWithSharedLibrary, ComponentWithLinkUsage, ComponentWithRuntimeUsage, ComponentWithOutputs, PublishableComponent

  A shared library built from C++ source.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.language.cpp.CppBinary

      `DEBUGGABLE_ATTRIBUTE, LINKAGE_ATTRIBUTE, OPTIMIZED_ATTRIBUTE`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.component.ComponentWithCoordinates

      `getCoordinates`

    - ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

      `getDependencies`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithLinkFile

      `getLinkFile, getLinkFileProducer`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithLinkUsage

      `getLinkElements`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

      `getObjects`

    - ### Methods inherited from interface org.gradle.language.ComponentWithOutputs

      `getOutputs`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithRuntimeFile

      `getRuntimeFile`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithRuntimeUsage

      `getRuntimeElements`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithSharedLibrary

      `getLinkLibraries, getLinkTask`

    - ### Methods inherited from interface org.gradle.language.cpp.CppBinary

      `getCompileIncludePath, getCompileTask, getCppSource, getLinkLibraries, getRuntimeLibraries, getTargetPlatform`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`